/* -------------------------------- */
/* -----------  FOOTER  ----------- */
/* -------------------------------- */

/* Réassurance */
.section-reassurance {
  padding: 13vh 0 9vh;
  background-color: var(--color-blue);
  background:
    linear-gradient(#162445D9, #162445D9),
    var(--bg-image, var(--color-blue));
  background-position: top;
  background-size: cover;
  clip-path: polygon(0 30px, 100% 0, 100% 100%, 0 100%);
  color: var(--color-white);
  text-align: center;
}
.section-reassurance .section-valeurs_item {
  font-weight: 300;
}
.section-reassurance .section-valeurs_item strong {
  display: block;
  line-height: 1.2;
}
.section-reassurance-contact {
  padding: 8vh 1rem;
  background-color: var(--color-light);
  color: var(--color-blue);
}
.section-reassurance-contact {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  place-items: center;
}
.section-reassurance-contact-content {
  max-width: 800px;
}
.section-reassurance-contact-content:first-child {
  justify-self: end;
  font-size: 1.75rem;
}
.section-reassurance-contact-content:first-child p:last-child {
  padding-left: 4vw;
}
.section-reassurance-contact-content p {
  padding-bottom: 0;
  font-weight: 300;
  line-height: 1.3;
}
.section-reassurance-contact-content:last-child p {
  padding-bottom: 1.5rem;
  font-size: 1.25rem;
  text-align: center;
}
.section-reassurance-contact-content:last-child .btn {
  display: flex;
  margin: auto;
}

/* Footer */
.footer {
  background-color: var(--color-blue);
  color: var(--color-white);
}
.footer a {
  text-decoration: none;
}
.footer a:not([class]):not([target]),
.footer a.privacy-policy-link {
  padding-bottom: .125rem;
  background:
    linear-gradient(var(--color-white) 0 0) 
    0 90% /var(--d, 0) 1px 
    no-repeat;
}
.footer a:not([class]):is(:hover,:active,:focus),
.footer a.privacy-policy-link:is(:hover,:active,:focus) {
  --d: 100%
}
.footer-top {
  padding: 5rem 0 3rem;
}
.footer-top .container {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  max-width: min(1432px, 100%);
}
.footer .custom-logo-link {
  display: block;
  max-width: 228px;
  padding: 1rem;
  background-color: var(--color-white);
  border-radius: 5px;
}
.footer__block--contact {
  min-width: 370px;
}
.footer__titre {
  font-size: 1.25rem;
  font-weight: bold;
  letter-spacing: .1rem;
  text-transform: uppercase;
}
.footer__tel {
  display: flex;
  flex-wrap: wrap;
}
.menu-footer,
.menu-social {
  padding: 0;
  list-style: none;
}
.menu-social {
  display: flex;
  align-items: flex-start;
  gap: 1.25rem;
  margin-top: 5vh;
}
.menu-social .menu-item {
  width: 2.5rem;
  height: 2.5rem;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.menu-social .menu-item a {
  display: block;
  text-indent: -9999px;
}
.menu-social .menu-item:is(:hover,:active,:focus) {
  transform: scale(1.1);
}
.lien-facebook {
  background-image: url("../images/icon-facebook.svg");
}
.lien-instagram {
  background-image: url("../images/icon-instagram.svg");
}
.footer-bottom {
  padding: 1rem 0 .25rem;
  background: linear-gradient(90deg, transparent, #0007, transparent);
}
.footer-bottom .container {
  display: flex;
  justify-content: center;
  column-gap: .5rem;
  text-align: center;
}
@media (max-width: 800px) {
  .section-reassurance .h2 {
    padding-bottom: 2rem;
  }
  .section-reassurance .section-valeurs_item {
    font-size: 1.125rem;
  }
  .section-reassurance-contact-content:first-child {
    font-size: 1.25rem;
    text-align: center;
  }
  .section-reassurance-contact-content:last-child p {
    font-size: 1.125rem;
  }
  .footer-top {
    padding: 2rem 0;
  }
  .footer-top .container,
  .footer-bottom .container {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  .footer__tel {
    justify-content: center;
  }
  .menu-social {
    margin-top: 0;
  }
}
@media (max-width: 600px) {
  .section-reassurance-contact {
    grid-template-columns: 1fr;
  }
  .footer__block--contact {
    min-width: unset;
  }
}
